> For the complete documentation index, see [llms.txt](https://docs.quantumbyte.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quantumbyte.ai/home/quantumbyte-v2.0/3.microsites-1/8.ui/4.components/2.app.md).

# App

### App Props <a href="#app-props" id="app-props"></a>

| Name        | Type                            | Default    | Description                                                                                                                                                 |
| ----------- | ------------------------------- | ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| component   | string                          | 'div'      | Component's HTML Element                                                                                                                                    |
| dark        | boolean                         | false      | Include `dark:` variants (if dark theme is in use)                                                                                                          |
| safeAreas   | boolean                         | true       | Adds `safe-areas` class to the container. Should be enabled if app container is the full screen element to properly handle screen safe areas                |
| theme       | 'ios' \| 'material' \| 'parent' | 'material' | App theme. If set to `'parent'` it will look for `ios` or `md` class on root `<html>` element, useful to use with parent framework like Framework7 or Ionic |
| touchRipple | boolean                         | true       | Enables touch ripple effect in Material theme. Allows to globally disable touch ripple for all components                                                   |

***

### Examples

App component should be used as main wrapper for all UI components, and there should be only one App component at a time in the app

{% tabs %}
{% tab title="Vue" %}

```typescript
<template>
  <!-- App component ideally should be the main root component -->
  <i-app theme="ios" safe-areas>
    <!-- rest of  UI components -->
  </i-app>
</template>
<script>
  import { iApp } from 'ina-ui/vue';
  export default {
    components: {
      iApp,
    },
  };
</script>
```

{% endtab %}

{% tab title="React" %}

```js
import React from 'react';
import { App } from 'ina-ui/react';
export default function MyApp() {
  return (
    <>
      {/* App component ideally should be the main root component */}
      <App theme="ios" safeAreas>
        {/* rest of  UI components */}
      </App>
    </>
  );
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quantumbyte.ai/home/quantumbyte-v2.0/3.microsites-1/8.ui/4.components/2.app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
